import { StyleSheet } from 'react-native'
import { fontSizes, windowHeight, windowWidth } from '../../theme/appConstant'
import appColors from '../../theme/appColors'
import appFonts from '../../theme/appFonts'

const styles = StyleSheet.create({
  container: {
    flex: 1,
  },
  mainContainer: {
    paddingVertical: windowHeight(1.5),
    paddingHorizontal: windowHeight(1.6),
    borderRadius: windowHeight(0.9),
    overflow: 'hidden',
    width: '100%',
    alignSelf: 'center',
  },
  iconContainer: {
    height: windowHeight(5),
    width: windowHeight(5),
    borderRadius: windowHeight(5),
    backgroundColor: appColors.cardicon,
    alignItems: 'center',
    justifyContent: 'center',
  },
  textContainer: {
    marginHorizontal: windowWidth(2.9),
    width: windowWidth(73),
  },
  title: {
    fontFamily: appFonts.medium,
    width: '95%',
  },
  message: { fontFamily: appFonts.regular, width: '95%' },
  timeText: {
    color: appColors.secondaryFont,
    fontFamily: appFonts.medium,
    fontSize: fontSizes.FONT3HALF,
    top: windowHeight(0.5),
    marginBottom: windowHeight(0.5),
  },
  noDataContainer: {
    justifyContent: 'center',
    alignItems: 'center',
    marginHorizontal: windowWidth(5),
    backgroundColor: 'red',
    height: '50%',
    marginTop: windowHeight(15),
    paddingHorizontal: windowWidth(5),
    paddingVertical: windowHeight(10),
    borderRadius: windowWidth(5),
    borderWidth: windowWidth(0.45),
  },
  noDataImg: {
    height: windowHeight(20),
    width: windowWidth(70),
    resizeMode: 'contain',
  },
  msg: {
    fontFamily: appFonts.bold,
    marginVertical: windowHeight(1),
    fontSize: fontSizes.FONT5,
  },
  detail: {
    color: appColors.secondaryFont,
    fontFamily: appFonts.regular,
    textAlign: 'center',
    fontSize: fontSizes.FONT4,
  },
  walletContainer: {
    alignSelf: 'center',

    alignItems: 'center',
    justifyContent: 'center',
  },
  refreshContainer: {
    backgroundColor: appColors.primary,
    width: '90%',
    height: windowHeight(6),
    marginTop: windowHeight(19),
    alignItems: 'center',
    justifyContent: 'center',
    borderRadius: windowHeight(20),
    marginHorizontal: windowWidth(5),
  },
  refreshText: {
    color: appColors.white,
    fontFamily: appFonts.medium,
  },
  gap: {
    gap: windowWidth(18.5),
  },
  view: {
    marginVertical: windowHeight(3),
    height: '83%',
    paddingVertical: windowHeight(1),
    width: '90%',
    marginHorizontal: windowWidth(5),
    borderWidth: windowWidth(0.45),
    borderRadius: windowWidth(5),
  },
  line: {
    height: windowHeight(0.6),
    width: '100%',
  },
})
export default styles
